### Method

# GObject Binding get_target

deprecated: 2.68 since: 2.26

#### Declaration

    GObject*
    g_binding_get_target (
      GBinding* binding
    )

#### Description

Retrieves the `GObject` instance used as the target of the binding.

A `GBinding` can outlive the target `GObject` as the binding does not hold a strong reference to the target. If the target is destroyed before the binding then this function will return `NULL`.

Use `g_binding_dup_target()` if the target or binding are used from different threads as otherwise the pointer returned from this function might become invalid if the target is finalized from another thread in the meantime.

Available since: 2.26

Deprecated since: 2.68

Use `g_binding_dup_target()` for a safer version of this function.

Gets property | `GObject.Binding:target`

#### Return value

Type: `GObject`

The target `GObject`, or `NULL` if the target does not exist any more.

The returned data is owned by the instance.
The return value can be `NULL`.